## groovy.xml
Class Namespace

Field Summary
`String` | `prefix`
`String` | `uri`

Constructor Summary
`Namespace()`
`Namespace(String uri)`
`Namespace(String uri, String prefix)`

Method Summary
`QName` | `get(String localName)` Returns the QName for the given localName.
`String` | `getPrefix()` Returns the prefix mapped to this namespace mapped.
`String` | `getUri()` Returns the URI of this namespace

Constructor Detail

### Namespace

    public Namespace()

### Namespace

    public Namespace(String uri)

### Namespace

    public Namespace(String uri, String prefix)

Method Detail

### get

    public QName get(String localName)

  Returns the QName for the given localName.
  param:
    localName
  the local name within this

### getPrefix

    public String getPrefix()

  Returns the prefix mapped to this namespace
  return:
    the prefix assigned to this namespace or null if no namespace is
  mapped.

### getUri

    public String getUri()

  Returns the URI of this namespace
  return:
    the URI of this namespace